package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Aircraft;
import com.google.gson.annotations.Expose;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class AircraftBean implements Serializable {

    @Expose
    private Integer value;

    @Expose
    private String label;

    public static AircraftBean miniClone(Aircraft aircraft) {
        return new AircraftBean(aircraft.getId(), aircraft.getName());
    }
}
