package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Airline;
import com.google.gson.annotations.Expose;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class AirlineBean implements Serializable {

    @Expose
    private Integer value;

    @Expose
    private String label;

    public static AirlineBean miniClone(Airline airline) {
        return new AirlineBean(airline.getId(), airline.getName());
    }
}
