package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Airport;
import com.google.gson.annotations.Expose;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class AirportBean implements Serializable {

    @Expose
    private Integer value;

    @Expose
    private String label;

    public static AirportBean miniClone(Airport airport) {
        return new AirportBean(airport.getId(), airport.getName());
    }
}
