package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Cost;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Getter
@Setter
public class CostBean implements Serializable {

    @Expose
    private Integer id;

    @Expose
    private String departureDate;

    @Expose
    private String arrivalDate;

    @Expose
    private Double amount;

    public static CostBean miniClone(Cost cost) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd'T'HH:mm:ss");
        CostBean costBean = new CostBean();
        costBean.setId(cost.getId());
        costBean.setArrivalDate(cost.getArrivalDate().format(formatter));
        costBean.setDepartureDate(cost.getDepartureDate().format(formatter));
        costBean.setAmount(cost.getAmount());

        return costBean;
    }
}
