package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Passenger;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PassengerMapBean {

    @Expose
    private Integer value;

    @Expose
    private String label;

    public static PassengerMapBean miniClone(Passenger passenger) {
        PassengerMapBean passengerMapBean = new PassengerMapBean();
        passengerMapBean.setValue(passenger.getId());
        passengerMapBean.setLabel(String.format("%s %s", passenger.getName(), passenger.getLastname()));

        return passengerMapBean;
    }
}
