package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.enums.PaymentStatusEnum;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDate;

@Getter
@Setter
public class PaymentBean implements Serializable {

    @Expose
    private Integer id;

    @Expose
    private PaymentStatusEnum status;

    @Expose
    private Double amount;

    @Expose
    private LocalDate date;
}
