package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Supervisor;
import com.google.gson.annotations.Expose;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class SupervisorBean {
    @Expose
    private Integer id;

    @Expose
    private String name;

    @Expose
    private String lastname;

    @Expose
    private String email;

    @Expose
    private String details;

    public static SupervisorBean miniClone(Supervisor supervisor) {
        return new SupervisorBean(supervisor.getId(),
                supervisor.getName(),
                supervisor.getLastname(),
                supervisor.getUser().getEmail(),
                supervisor.getDetails());
    }
}
