package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.User;
import com.google.gson.annotations.Expose;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class UserBean {
    @Expose
    private Integer id;

    @Expose
    private String email;

    @Expose
    private String role;

    public static UserBean miniClone(User user) {
        return new UserBean(
                user.getId(),
                user.getEmail(),
                user.getRole().getName());
    }
}
