package com.bytesw.bytebot.model.agency.converters;

import com.bytesw.bytebot.model.agency.enums.TravelClassEnum;
import org.apache.camel.Converter;

import javax.persistence.AttributeConverter;

@Converter
public class TravelClassConverter implements AttributeConverter<TravelClassEnum, String> {
    @Override
    public String convertToDatabaseColumn(TravelClassEnum attribute) {
        return attribute.getName();
    }

    @Override
    public TravelClassEnum convertToEntityAttribute(String dbData) {
        return TravelClassEnum.fromString(dbData);
    }
}
