package com.bytesw.bytebot.repository;

import com.bytesw.bytebot.model.DeploymentChannelParamValue;
import org.springframework.cache.annotation.CachePut;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @author Sebastián Chicoma Sandmann.
 * @version 9-sep-2020
 * <p>
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 * <p>
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */

public interface DeploymentChannelParamValueRepository extends CrudRepository<DeploymentChannelParamValue, Long> {
    @Query("select d from DeploymentChannelParamValue d where d.deploymentChannel.id = :id order by d.id asc")
    List<DeploymentChannelParamValue> getParameter(@Param("id") Long id);
}
