package com.bytesw.bytebot.repository.agency;

import com.bytesw.bytebot.model.agency.Passenger;
import com.bytesw.bytebot.model.agency.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface PassengerRepository extends CrudRepository<Passenger, Integer>, JpaSpecificationExecutor<Passenger> {
    Optional<Passenger> findByUser_Id(Integer userId);
    List<Passenger> findAllByDeletedAtIsNull();
    Optional<Passenger> findByIdAndDeletedAtIsNull(Integer id);
}
