package com.bytesw.bytebot.repository.agency;

import com.bytesw.bytebot.model.agency.Supervisor;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.awt.print.Pageable;
import java.util.List;
import java.util.Optional;

@Repository
public interface SupervisorRepository extends CrudRepository<Supervisor, Integer>, JpaSpecificationExecutor<Supervisor> {
    Optional<Supervisor> findByUser_Id(Integer userId);
    Optional<Supervisor> findByIdAndDeletedAtIsNull(Integer id);
    List<Supervisor> findAllByDeletedAtIsNull();
}
