package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.AgencyAgent;
import com.google.gson.annotations.Expose;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class AgentBean implements Serializable {

    @Expose
    private Integer id;

    @Expose
    private String name;

    @Expose
    private String lastname;

    @Expose
    private String email;

    @Expose
    private String details;

    public static AgentBean miniClone(AgencyAgent agent) {
        return new AgentBean(agent.getId(),
                agent.getName(),
                agent.getLastname(),
                agent.getUser().getEmail(),
                agent.getDetails());
    }
}
