package com.bytesw.bytebot.controller.agency;

import com.bytesw.bytebot.bean.agency.AircraftBean;
import com.bytesw.bytebot.service.agency.AircraftService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("service/aircrafts")
public class AircraftController {

    private final AircraftService aircraftService;

    public AircraftController(AircraftService aircraftService) {
        this.aircraftService = aircraftService;
    }

    @GetMapping
    public List<AircraftBean> getAll() {
        return this.aircraftService.getAll();
    }

    @PostMapping
    public AircraftBean save(@RequestBody AircraftBean bean) {
        return this.aircraftService.save(bean);
    }
}
