package com.bytesw.bytebot.controller.agency;

import com.bytesw.bytebot.bean.agency.AirlineBean;
import com.bytesw.bytebot.service.agency.AirlinesService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController()
@RequestMapping("/service/airlines")
public class AirlineController {
    private final AirlinesService airlinesService;

    public AirlineController(AirlinesService airlinesService) {
        this.airlinesService = airlinesService;
    }

    @GetMapping
    public List<AirlineBean> getAll() {
        return this.airlinesService.findAll();
    }

    @PostMapping
    public AirlineBean save(@RequestBody AirlineBean bean) {
        return this.airlinesService.save(bean);
    }
}
