package com.bytesw.bytebot.controller.agency;

import com.bytesw.bytebot.bean.agency.AirportBean;
import com.bytesw.bytebot.service.agency.AirportService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/service/airports")
public class AirportController {

    private final AirportService airportService;

    public AirportController(AirportService airportService) {
        this.airportService = airportService;
    }

    @GetMapping
    public List<AirportBean> getAll() {
        return this.airportService.getAll();
    }

    @PostMapping
    public AirportBean save(@RequestBody AirportBean airportBean) {
        return this.airportService.save(airportBean);
    }
}
