package com.bytesw.bytebot.model.agency.converters;

import com.bytesw.bytebot.model.agency.enums.PaymentStatusEnum;
import org.apache.camel.Converter;

import javax.persistence.AttributeConverter;

@Converter
public class PaymentStatusConverter implements AttributeConverter<PaymentStatusEnum, String> {
    @Override
    public String convertToDatabaseColumn(PaymentStatusEnum attribute) {
        return attribute.getName();
    }

    @Override
    public PaymentStatusEnum convertToEntityAttribute(String dbData) {
        return PaymentStatusEnum.fromString(dbData);
    }
}
