package com.bytesw.bytebot.model.agency.converters;

import com.bytesw.bytebot.model.agency.enums.ReservationStatusEnum;
import org.apache.camel.Converter;

import javax.persistence.AttributeConverter;

@Converter
public class ReservationStatusConverter implements AttributeConverter<ReservationStatusEnum, String> {
    @Override
    public String convertToDatabaseColumn(ReservationStatusEnum attribute) {
        return attribute.getName();
    }

    @Override
    public ReservationStatusEnum convertToEntityAttribute(String dbData) {
        return ReservationStatusEnum.fromString(dbData);
    }
}
