package com.bytesw.bytebot.model.agency.converters;

import com.bytesw.bytebot.model.agency.enums.RoleEnum;
import org.apache.camel.Converter;

import javax.persistence.AttributeConverter;

@Converter
public class RoleConverter implements AttributeConverter<RoleEnum, String> {
    @Override
    public String convertToDatabaseColumn(RoleEnum userRole) {
        return userRole.getName();
    }

    @Override
    public RoleEnum convertToEntityAttribute(String s) {
        return RoleEnum.fromString(s);
    }
}
