package com.bytesw.bytebot.model.agency.converters;

import com.bytesw.bytebot.model.agency.enums.TicketTypeEnum;
import org.apache.camel.Converter;

import javax.persistence.AttributeConverter;

@Converter
public class TicketTypeConverter implements AttributeConverter<TicketTypeEnum, String> {
    @Override
    public String convertToDatabaseColumn(TicketTypeEnum attribute) {
        return attribute.getName();
    }

    @Override
    public TicketTypeEnum convertToEntityAttribute(String dbData) {
        return TicketTypeEnum.fromString(dbData);
    }
}
