package com.bytesw.bytebot.repository;

import com.bytesw.bytebot.model.BdcControl;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import java.util.Optional;

public interface BdcControlRepository extends CrudRepository<BdcControl, Long>, JpaSpecificationExecutor<BdcControl> {
    @Query("select s from BdcControl s where s.uuid = :uuid")
    Optional<BdcControl> findByUuid(@Param("uuid") String uuid);
}
