package com.bytesw.bytebot.repository.agency;

import com.bytesw.bytebot.model.agency.AgencyAgent;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface AgencyAgentRepository extends CrudRepository<AgencyAgent, Integer>, JpaSpecificationExecutor<AgencyAgent> {
    Optional<AgencyAgent> findByUser_Id(Integer userId);

    Optional<AgencyAgent> findByIdAndDeletedAtIsNull(Integer id);
    List<AgencyAgent> findAllByDeletedAtIsNull();
}
