package com.bytesw.bytebot.repository.agency;

import com.bytesw.bytebot.model.agency.AgencyAgent;
import com.bytesw.bytebot.model.agency.User;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface AgencyUserRepository extends JpaRepository<User, Integer> {
    Optional<User> findByEmail(String email);
    Optional<User> findByEmailAndPassword(String email, String password);
}
