package com.bytesw.bytebot.repository.agency;

import com.bytesw.bytebot.model.agency.Reservation;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface ReservationRepository extends CrudRepository<Reservation, Integer>, JpaSpecificationExecutor<Reservation> {
    Optional<Reservation> findByIdAndDeletedAtIsNull(Integer id);
}
